define(function(require){
	var $ = require('jquery');
	var IFA = require('util');
	require('uriTemplate')($);
	require('dialog')($);
	require("../../../styles/cim/jquery-ui-1.8.14.custom.css");
	$(function(){
		$('#save').bind('click',savePath);
		InitResult();
	});
	
	$(function(){
		// 验证用户正确性
	    $("#saveForm").validate({
		  rules:{
			  gdsfilePath:{
	              required:true
	           }
		  },
		  errorPlacement:function (error,element){
				error.insertAfter(element);
		   },
		
		  // 用户自定义的键/值对消息;键为一个表单元素的name属性，值为该表单元素将要显示的消息。该消息覆盖元素的title属性或者默认消息
		  messages:{
			  gdsfilePath:{
			     required:i18n["javax.validation.constraints.NotNull.message"] 
		  }
//			  obtfilePath:{
//				  required:i18n["javax.validation.constraints.NotNull.message"]
//			  }
		   }
		});
	});
	
		function savePath(){
			if($("#saveForm").valid()){ 
				$("#saveForm").submit();
			}
		}
		
		function InitResult(){
			if($("#result").val() == "true"){
			$.msg.alert(i18n["Page.title.dialogshow.title"], i18n["Entity.save.succeed"],{
	  			 buttons: IFA.generateJson(i18n["Entity.Operation.ok"], function() {
		               $(this).dialog("close");
		           }),
 		        width:350,height:150
 			});
			}
		}
});